1

We ran into the following problem: we added a new LUN to our small SAN when we upgraded from ESX 4.1 to ESXi 5.0. We wanted to move a number of VMs from one LUN to the other using storage vMotion. One of the reason for that was to make sure the VMs are safe when we'll upgrade from VMFS 4 to VMFS 5.

Unfortunately, we ran into the following error when we try to perform a storage vMotion:

A general system error occurred: Failed to initialize migration at source.
Error 0xbad0060. Necessary module isn't loaded.

The same error occur when trying a host vMotion.

Any idea what could cause this ?

1

I reckon you hit a bug.

See this article http://kb.vmware.com/selfservice/microsites/search.do?language=en_US&cmd=displayKC&externalId=2013128

To workaround this issue:

  • In the ESXi command line, run this command:

    esxcli system module load -m migrate

    This command loads the module.

  • Connect to vCenter Server through the vSphere Client.

  • Select the ESXi host and click the Configuration tab.

  • Click Software > Advanced Settings.

  • You see that Migrate.Enabled is set to zero because the module was not loaded earlier.

  • Set Migrate.Enabled to 1 and click OK.

You should now be able to vMotion or add a network card to the virtual machine.

|improve this answer|||||
  • Thank you for your answer but, in the mean time, we scratched out ESXi 4.1 install completely, reinstalled 5 from scratch and simply re-attached the SAN storage. That solved our issue. – Stephane Jul 13 '12 at 11:52
  • oops sorry, didn't even notice the date posted! hope it will help someone else though. – Cold T Jul 13 '12 at 11:56

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.